
QGIS Application - Bug report #20893

QGIS crash using virtual layer in a layout

2018-12-29 12:34 PM - Stephan Burges

Status: Closed

Priority: High

Assignee: Julien Cabieces

Category: Map Composer/Printing

Affected QGIS version:3.4.3 Regression?: No

Operating System: WIN 7 64bit Easy fix?: No

Pull Request or Patch supplied:Yes Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 28712

Description

QGIS crashes when I use a virtuallayer in a print-layout. It is possible to work in the project (create virtual layer, create the report with the

vl, change some things, etc.. Storing and closing the project is ok, but opening again crashes QGIS.

Associated revisions

Revision bdf77ac7 - 2019-01-23 08:24 AM - Julien Cabieces

fixes #20893 : Update virtual layer when referenced layer update its fields

Revision 8ce8ee0b - 2019-01-23 08:04 PM - Julien Cabieces

fixes #20893 : Update virtual layer when referenced layer update its fields

History

#1 - 2018-12-31 02:47 PM - Giovanni Manghi

- Priority changed from Normal to High

- Category changed from Virtual Layers to Map Composer/Printing

I'm not even able to open this project, crashes QGIS on start.

#2 - 2019-01-01 09:12 PM - Stephan Burges

- File Crash_2.zip added

Giovanni Manghi wrote:

I'm not even able to open this project, crashes QGIS on start.

Attached is a "cleaned" copy of the project and a hardcopy of the project opened with XML-Editor (Easy-XML-Editor). In the editor I have deleted the last

layout (marked in the hardcopy). Without this layout you should be able to open the project... 

Therefore the bug might be located in this section

#3 - 2019-01-22 09:58 AM - Julien Cabieces
- Assignee set to Julien Cabieces

- Pull Request or Patch supplied changed from No to Yes

The problem comes from the fact that your virtuallayer is based on a joined layer.

Proposed PR correcting the issue : https://github.com/qgis/QGIS/pull/8940

#4 - 2019-01-23 08:23 AM - Julien Cabieces

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|bdf77ac75a94ea37feaa3d7d015af57e0d9a7e1f.

Files

Crash.zip 322 KB 2018-12-29 Stephan Burges

Crash_2.zip 43.3 KB 2019-01-01 Stephan Burges
https://github.com/qgis/QGIS/pull/8940

